import bpy
import rna_keymap_ui

class FavoriteObjectsPreferences(bpy.types.AddonPreferences):
    bl_idname = __package__

    def draw(self, context):
        layout = self.layout
        wm = context.window_manager
        kc = wm.keyconfigs.user
        km = kc.keymaps.get('3D View')
        
        if not km:
            return
            
        box = layout.box()
        box.label(text="Keymap")

        for kmi in km.keymap_items:
            if kmi.idname == 'wm.call_menu_pie' and kmi.properties.name == "VIEW3D_MT_PIE_favorite_objects":
                row = box.row()
                rna_keymap_ui.draw_kmi([], kc, km, kmi, row, 0)
                break

def register():
    bpy.utils.register_class(FavoriteObjectsPreferences)

def unregister():
    bpy.utils.unregister_class(FavoriteObjectsPreferences) 